@model GameShop.ViewModels.AccountEditViewModel
@{
    ViewBag.Title = "My Account";
    Layout = "_Main";
}

<div class="row" id="account">
    <div class="col-12">
        <partial name="_Errors"/>        
    </div>
    <div class="col-lg-3">
        <div class="box" id="accountmenu">
            <a href="/account" class="item @if (Url.RouteUrl(ViewContext.RouteData.Values).Contains("account"))
                                           {
                                               <text>active</text>
                                           }">
                Account
            </a>

            <a href="/purchases" class="item @if (Url.RouteUrl(ViewContext.RouteData.Values).Contains("purchases"))
                                             {
                                                 <text>active</text>
                                             }">
                Purchases
            </a>

            <a href="/logout" class="item">
                Logout
            </a>
        </div>
    </div>

    <div class="col-lg-6">
        <div class="row">
            <div class="col-lg-12">
                <h1 class="title">Your Account</h1>
                <form asp-action="Account" asp-controller="Account" method="post">
                    @if (!ViewContext.ModelState.IsValid)
                    {
                        <div asp-validation-summary="All"></div>
                    }
                    <div class="row">
                        <div class="col-lg-4">
                            <label>Password</label>
                        </div>
                        <div class="col-lg-8">
                            <input type="password" asp-for="Password" value="" placeholder="New Password"/>
                        </div>
                    </div><br/>

                    <div class="row">
                        <div class="col-lg-4">
                            <label>Repeat Password</label>
                        </div>
                        <div class="col-lg-8">
                            <input type="password" value="" asp-for="RepeatPassword" placeholder="New Password"/>
                        </div>
                    </div><br/>

                    <div class="row">
                        <div class="col-lg-4">

                        </div>
                        <div class="col-lg-8">
                            <input type="submit" value="Save"/>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="col-lg-3">
        <div class="box box-gbucks">
            <div class="title">Your G-Bucks</div>
            <div class="amount">@ViewBag.User.GBucks</div>
        </div>
    </div>
</div>

